<form name="form" novalidate>

    <div id="top_of_dialog">
        <strong>Info</strong>
    </div>

    <div style="margin-top: 15px">

        <table class="table table-bordered listViewEntriesTable">
            <thead>
            <tr class="listViewHeaders">
                <th nowrap ><a href="" class="listViewHeaderValues" >DSR</a></th>
                <th nowrap><a href="" class="listViewHeaderValues" >Data elaborazione DSR</a></th>
                <th nowrap><a href="" class="listViewHeaderValues" >Data ultimo processamento</a></th>
                <th nowrap ng-hide="ctrl.data.invoiceStatus===undefined"><a href="" class="listViewHeaderValues" >Stato</a></th>
            </tr>
            </thead>
            <tbody >
            <tr class="listViewEntries">
                <td class="listViewEntryValue medium" nowrap >{{ctrl.item.dsr}}</td>
                <td class="listViewEntryValue medium" nowrap >{{ctrl.item.dsrDeliveryDate}}</td>
                <td class="listViewEntryValue medium" nowrap >{{ctrl.item.ccidProductionDate}}</td>
                <td class="listViewEntryValue medium" nowrap ng-hide="ctrl.data.invoiceStatus===undefined">
                		<div ng-if="ctrl.data.invoiceStatus === 'FATTURATO'">
                			<font color="green">{{ctrl.data.invoiceStatus}}</font>
					</div>
                		<div ng-if="ctrl.data.invoiceStatus=== 'DA FATTURARE'">
                			<font color="red">{{ctrl.data.invoiceStatus}}</font>
					</div>
					<div ng-if="ctrl.data.invoiceStatus === 'BOZZA'">
                			{{ctrl.data.invoiceStatus}}
					</div>
					<div ng-if="ctrl.data.invoiceStatus === 'N/A'">
                			<font color="red">CLAIM NON ESEGUITO</font>
					</div>
				</td> 
            </tr>
            </tbody>
        </table>
    </div>
	<div ng-hide="ctrl.item.siaeValueIdentified===undefined">
    <div style="margin-top: 15px">
   		<table class="table table-bordered listViewEntriesTable">
            <thead>
            <tr class="listViewHeaders">
                <th nowrap ><a href="" class="listViewHeaderValues" >Valore CCID (&euro;)</a></th>
                <th nowrap ><a href="" class="listViewHeaderValues" >Valore fatturabile CCID (&euro;)</a></th>
                <th nowrap ><a href="" class="listViewHeaderValues" >Somma quota anticipi</a></th>
                <th nowrap ><a href="" class="listViewHeaderValues" >Residuo anticipo (&euro;)</a></th>
            </tr>
            </thead>
            <tbody >
            <tr class="listViewEntries">
                <td class="listViewEntryValue medium" nowrap >{{formatNumber(ctrl.item.siaeValueIdentified)}}</td>
                <td class="listViewEntryValue medium" nowrap >{{formatNumber(ctrl.item.valoreFatturabile)}}</td>
                <td class="listViewEntryValue medium" nowrap >{{formatNumber(ctrl.data.totaleQuoteAnticipo)}}</td>
                <td class="listViewEntryValue medium" nowrap >
	                <div ng-hide="!ctrl.data.foundAnticipi">
	                		Disponibile
	                </div>
	                <div ng-hide="ctrl.data.foundAnticipi">
	                		Non disponibile
	                </div>
	                </td>
            </tr>
            </tbody>
        </table>
    </div>
     <div ng-hide="ctrl.item.siaeValueIdentified===undefined">
    <div style="margin-top: 15px">
   		<table class="table table-bordered listViewEntriesTable">
            <thead>
            <tr class="listViewHeaders">
                <th nowrap ><a href="" class="listViewHeaderValues" >VALUTA</a></th>
                <th nowrap ><a href="" class="listViewHeaderValues" >Valore CCID</a></th>
            </tr>
            </thead>
            <tbody >
            <tr class="listViewEntries">
                <td class="listViewEntryValue medium" nowrap >{{ctrl.item.ccidCurrency}}</td>
                <td class="listViewEntryValue medium" nowrap >{{formatNumber(ctrl.item.totalValueCcidCurrency)}}</td>
            </tr>
            </tbody>
        </table>
    </div>

    <div style="margin-top: 15px" ng-hide="ctrl.data.invoiceCode===undefined">
   		<table class="table table-bordered listViewEntriesTable">
            <thead>
            <tr class="listViewHeaders">
                <th nowrap ><a href="" class="listViewHeaderValues" >Fattura associata</a></th>
                <th nowrap ><a href="" class="listViewHeaderValues" >Totale fattura associata</a></th>
            </tr>
            </thead>
            <tbody >
            <tr class="listViewEntries">
                <td class="listViewEntryValue medium" nowrap >{{ctrl.data.invoiceCode}}</td>
                <td class="listViewEntryValue medium" nowrap >{{ctrl.data.totaleFatturato}}</td>
            </tr>
            </tbody>
        </table>
    </div>
    
	<div ng-hide="ctrl.data.listAnticipo===undefined||!ctrl.data.listAnticipo.lenght">
	    <div id="top_of_dialog" style="margin-top: 15px">
	        <strong>Anticipi associati</strong>
	    </div>
	     
	    <div style="margin-top: 5px">
	       <table class="table table-bordered listViewEntriesTable">
	            <thead>
		            <tr class="listViewHeaders">
		                <th nowrap ><a href="" class="listViewHeaderValues" >Numero fattura</a></th>
		                <th nowrap ><a href="" class="listViewHeaderValues" >Quota anticipo</a></th>
		            </tr>
	            </thead>
	            <tbody >
		            <tr class="listViewEntries" ng-repeat="item in ctrl.data.listAnticipo">
		                <td class="listViewEntryValue medium" nowrap >{{item.numeroFattura}}</td>   
		                <td class="listViewEntryValue medium" nowrap >{{item.quotaAnticipo}}</td>              
		            </tr>
		            
		       
	            </tbody>
	        </table>
	    </div>
    </div>
    </div>
    
    <div style="margin-top: 15px">
        <table width="100%">
            <tr>
                <td>
                    <button type="button" class="btn addButton" ng-click="close()">
                        <span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
                    </button>
                </td>
            </tr>
        </table>
    </div>

</form>

<script type="text/ng-template" id="errorDialogId">
    <div id="target"  >
        <strong>{{ngDialogData}}</strong>
    </div>
</script>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>